"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _consoleLogger = _interopRequireDefault(require("./utils/consoleLogger"));
var _Logger = _interopRequireDefault(require("./infrastructure/Logger"));
const _LOGGER = new _Logger.default() || _consoleLogger.default;
var _default = {
  error(data) {
    _LOGGER.error(data);
  },
  warn(data) {
    _LOGGER.warn(data);
  },
  info(data) {
    _LOGGER.info(data);
  },
  debug(data) {
    _LOGGER.debug(data);
  }
};
exports.default = _default;