"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AssociationRepo = void 0;
var _Pool = require("../../db/Pool");
var _sqls = require("./sqls");
class AssociationRepo {
  static async getList(uids, from, to) {
    if (!Array.isArray(uids) || uids.length === 0) return [];
    return _Pool.Pool.queryAsync((0, _sqls.getAssociationsList)(), [uids, from, to]);
  }
}
exports.AssociationRepo = AssociationRepo;