import { Pool } from '../../db/Pool';
import { getAssociationsList } from './sqls';

export class AssociationRepo {
    static async getList(uids, from, to) {
        if (!Array.isArray(uids) || uids.length === 0) return [];
        return Pool.queryAsync(getAssociationsList(), [uids, from, to]);
    }
}
