export function getObjectsSql() {
    return `SELECT hh.obj_uid as uid, tko.name as name, tko.category as category FROM heartbeat_history hh
                 JOIN trackable_objects tko ON hh.obj_uid = tko.uid
                 WHERE hh.time_enter < ?
                 AND (hh.time_leave > ? OR hh.time_leave is null)
                 AND hh.sublocation_uid in (?)
                 GROUP by hh.obj_uid;`;
}

export function getHeartbeatsSql() {
    return `SELECT hh.* FROM heartbeat_history hh
                    JOIN trackable_objects tko ON hh.obj_uid = tko.uid
                 WHERE time_enter < ? AND (time_leave > ? OR time_leave is null) AND
                 sublocation_uid in (?) ORDER by time_enter;`;
}
