import { Pool } from '../../db/Pool';
import { sublocationsListSql, locationsListSql } from './sqls';

export class LocationRepo {
    static async getSublocations(uid) {
        return Pool.queryAsync(sublocationsListSql(), [uid]);
    }

    static async getList() {
        return Pool.queryAsync(locationsListSql());
    }
}
