export function getPositionsReportSql(start, end, area_uids) {
    if (!Array.isArray(area_uids) || area_uids.length === 0) return null;

    if (area_uids.length === 1) {
        return `SELECT
                    ph.x,
                    ph.y,
                    ph.trackable_uid as obj_uid,
                    (UNIX_TIMESTAMP(ph.ts) * 1000) as ts
                FROM positions ph
                WHERE ph.ts > '${start}' AND ph.ts < '${end}' AND ph.area_uid = '${area_uids[0]}' ORDER BY ph.ts asc;`;
    }
    return `SELECT
                    ph.x,
                    ph.y,
                    ph.trackable_uid as obj_uid,
                    (UNIX_TIMESTAMP(ph.ts) * 1000) as ts
                FROM positions ph
                WHERE ph.ts > '${start}' AND ph.ts < '${end}' AND ph.area_uid in ('${area_uids.join(
        "', '"
    )}') ORDER BY ph.ts asc;`;
}
