import { Pool, dwPool } from '../../db/Pool';
import { insertSql, insertDwSql } from './sqls';

export class ReportRepo {
    static async saveDw(data) {
        return dwPool.queryAsync(insertDwSql(), data);
    }

    static async save(data) {
        return Pool.queryAsync(insertSql(), data);
    }
}
