"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.HEARTBEAT = exports.DB_PULL_INTERVAL = exports.ALARM_TYPE = void 0;
const DB_PULL_INTERVAL = 1 * 60 * 1000;
exports.DB_PULL_INTERVAL = DB_PULL_INTERVAL;
const ALARM_TYPE = {
  NODE_LOW_BATTERY: {
    name: 'node_low_battery',
    id: 1
  },
  ZONE_VIOLATION: {
    name: 'zone_violation',
    id: 2
  },
  MAC_ADDRESS_CONFLICT: {
    name: 'mac_address_conflict',
    id: 3
  },
  DEVICE_ABSENT: {
    name: 'device_absent',
    id: 4
  },
  DEVICE_OUT_OF_ZONE: {
    name: 'device_out_of_zone',
    id: 5
  },
  EMERGENCY_BUTTON: {
    name: 'emergency_button',
    id: 6
  },
  ANCHOR_MOVED: {
    name: 'anchor_moved',
    id: 7
  },
  BUFFER_VIOLATION: {
    name: 'buffer_violation',
    id: 8
  },
  PWS_SAFETY_ALARM: {
    name: 'pws_safety',
    id: 9
  },
  UNCERTIFIED_OPERATION: {
    name: 'uncertified_operation',
    id: 10
  }
};
exports.ALARM_TYPE = ALARM_TYPE;
const HEARTBEAT = {
  DURATION: 30 * 1000,
  UNRESPONSIVE_DURATION: 4 * 30 * 1000,
  STATUS_DURATION: 0.2 * 30 * 1000
};
exports.HEARTBEAT = HEARTBEAT;