"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LocationRepo = void 0;
var _Pool = require("../../db/Pool");
var _sqls = require("./sqls");
class LocationRepo {
  static async getSublocations(uid) {
    return _Pool.Pool.queryAsync((0, _sqls.sublocationsListSql)(), [uid]);
  }
  static async getList() {
    return _Pool.Pool.queryAsync((0, _sqls.locationsListSql)());
  }
}
exports.LocationRepo = LocationRepo;