import consoleLogger from './utils/consoleLogger';
import Logger from './infrastructure/Logger';

const _LOGGER = new Logger() || consoleLogger;

export default {
    error(data) {
        _LOGGER.error(data);
    },
    warn(data) {
        _LOGGER.warn(data);
    },
    info(data) {
        _LOGGER.info(data);
    },
    debug(data) {
        _LOGGER.debug(data);
    },
};
