#!/usr/bin/env bash
DIRNAME_PREFIX=/usr/rtls/rtls-reports

if [ -e $DIRNAME_PREFIX/sys-services/rtls-reports.service ]; then
  cp -rf $DIRNAME_PREFIX/sys-services/rtls-reports.service /usr/lib/systemd/system
  chmod 644 /usr/lib/systemd/system/rtls-reports.service
  chown ubuntu:ubuntu /usr/lib/systemd/system/rtls-reports.service
fi

systemctl enable rtls-reports
service rtls-reports start

exit 0
